Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.release
Class Versions

    java.lang.Object
      oracle.ifs.release.Versions

    public class Versions

extends java.lang.Object

Version numbers.

(Unpublished)

Method Summary
`static long` | `getBeansVersionNumber()` Gets the "beans" software version number, as a long.
`static java.lang.String` | `getBeansVersionString()` Gets the "beans" software version number.
`static int` | `getComponentValue(java.lang.String version, int segment)` Gets the value of a specified segment of a version number.
`static long` | `getMaximumSchemaVersionNumber()` Gets the maximum schema version number that is compatible with the software version, as a long.
`static java.lang.String` | `getMaximumSchemaVersionString()` Gets the maximum schema version number that is compatible with the software version.
`static long` | `getMinimumIfsCredentialManagerVersionNumber()` Gets the minimum allowed `IfsCredentialManager version number`, as a long.
`static java.lang.String` | `getMinimumIfsCredentialManagerVersionString()` Gets the minimum allowed `IfsCredentialManager version number`.
`static long` | `getMinimumSchemaVersionNumber()` Gets the minimum schema version number that is compatible with the software version, as a long.
`static java.lang.String` | `getMinimumSchemaVersionString()` Gets the minimum schema version number that is compatible with the software version.
`static long` | `getServerVersionNumber()` Gets the "server" software version number, as a long.
`static java.lang.String` | `getServerVersionString()` Gets the "server" software version number.
`static java.lang.String` | `getSignificantVersion(java.lang.String version, int number)` Gets the version number corresponding to the `number` left-most segments of the specified version number.
`static java.lang.String` | `setComponentValue(java.lang.String version, int segment, int value)` For a specified version number, returns the version number obtained by updating one of its segments to the specified value.
`static long` | `versionStringToLong(java.lang.String version)` For a specified version number, returns a long-valued representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getServerVersionString

    public static java.lang.String getServerVersionString()

  Description copied from class: `Versions`
  Gets the "server" software version number.

  Returns:
    the version number
  (Unpublished)

### getServerVersionNumber

    public static long getServerVersionNumber()

  Description copied from class: `Versions`
  Gets the "server" software version number, as a long.

  Returns:
    the version number
  (Unpublished)

### getBeansVersionString

    public static java.lang.String getBeansVersionString()

  Description copied from class: `Versions`
  Gets the "beans" software version number.

  Returns:
    the version number
  (Unpublished)

### getBeansVersionNumber

    public static long getBeansVersionNumber()

  Description copied from class: `Versions`
  Gets the "beans" software version number, as a long.

  Returns:
    the version number
  (Unpublished)

### getMinimumSchemaVersionString

    public static java.lang.String getMinimumSchemaVersionString()

  Description copied from class: `Versions`
  Gets the minimum schema version number that is compatible with the software version.

  Returns:
    the version number
  (Unpublished)

### getMinimumSchemaVersionNumber

    public static long getMinimumSchemaVersionNumber()

  Description copied from class: `Versions`
  Gets the minimum schema version number that is compatible with the software version, as a long.

  Returns:
    the version number
  (Unpublished)

### getMaximumSchemaVersionString

    public static java.lang.String getMaximumSchemaVersionString()

  Description copied from class: `Versions`
  Gets the maximum schema version number that is compatible with the software version.

  Returns:
    the version number
  (Unpublished)

### getMaximumSchemaVersionNumber

    public static long getMaximumSchemaVersionNumber()

  Description copied from class: `Versions`
  Gets the maximum schema version number that is compatible with the software version, as a long.

  Returns:
    the version number
  (Unpublished)

### getMinimumIfsCredentialManagerVersionString

    public static java.lang.String getMinimumIfsCredentialManagerVersionString()

  Description copied from class: `Versions`
  Gets the minimum allowed `IfsCredentialManager version number`.

  Returns:
    the version number
  (Unpublished)

### getMinimumIfsCredentialManagerVersionNumber

    public static long getMinimumIfsCredentialManagerVersionNumber()

  Description copied from class: `Versions`
  Gets the minimum allowed `IfsCredentialManager version number`, as a long.

  Returns:
    the version number
  (Unpublished)

### getSignificantVersion

    public static java.lang.String getSignificantVersion(java.lang.String version,
                                                         int number)

  Description copied from class: `Versions`
  Gets the version number corresponding to the `number` left-most segments of the specified version number.

  For example, for `version="1.0.8.3.7"` and `number=3`, returns "`1.0.8.0.0`".

  Returns an empty string if `number` is zero or less.

  Parameters:
    `version` - the version number
    `number` - the number of significant segments
  Returns:
    the version number corresponding the `number` left-most segments
  (Unpublished)

### getComponentValue

    public static int getComponentValue(java.lang.String version,
                                        int segment)

  Description copied from class: `Versions`
  Gets the value of a specified segment of a version number.

  For example, for `version="1.0.8.3.7"`, the third segment's value is 8.

  Parameters:
    `version` - the version number
    `segment` - the desired segment
  Returns:
    the value of that segment, or -1 if `segment` or `version` are invalid
  (Unpublished)

### setComponentValue

    public static java.lang.String setComponentValue(java.lang.String version,
                                                     int segment,
                                                     int value)

  Description copied from class: `Versions`
  For a specified version number, returns the version number obtained by updating one of its segments to the specified value. For example, for `version="1.0.8.3.7"`, `segment=2`, and `value=4`, returns "`1.4.8.3.7`".

  Parameters:
    `version` - the version number
    `segment` - the segment to update
    `value` - the new value of that segment
  Returns:
    the transformed version number
  (Unpublished)

### versionStringToLong

    public static long versionStringToLong(java.lang.String version)

  Description copied from class: `Versions`
  For a specified version number, returns a long-valued representation.

  The long representation is computed by concatenating the value of each segment left-padded with zeros to three digits.

  For example, for `version="10.1.0.33.5"`, returns 10001000033005.

  Returns:
    the long representation of that version number
  Throws:
    `java.lang.IllegalArgumentException` - if the version number is invalid
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD